Index: /LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv3_routines.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv3_routines.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv3_routines.F90	(revision 5116)
@@ -6068,21 +6059,21 @@
 #endif
 #ifdef ISOVERIF
-        if (iso_eau.gt.0) then
+        if (iso_eau.gt.0) THEN
               CALL iso_verif_egalite_choix(fxt(iso_eau,il,i), &
                  fr(il,i),'cv3_routines 3226',errmax*0.1,errmaxrel)
-        endif !if (iso_eau.gt.0) then
+        endif !if (iso_eau.gt.0) THEN
         if ((iso_HDO.gt.0).and. &
-                 (rr(il,i)+delt*fr(il,i).gt.ridicule)) then
+                 (rr(il,i)+delt*fr(il,i).gt.ridicule)) THEN
          CALL iso_verif_aberrant((xt(iso_HDO,il,i) &
                          +delt*fxt(iso_HDO,il,i)) &
                  /(rr(il,i)+delt*fr(il,i)),'cv3_yield 3384, flux masse')
-        endif !if (iso_HDO.gt.0) then
+        endif !if (iso_HDO.gt.0) THEN
         if ((iso_HDO.gt.0).and.(iso_O18.gt.0).and. &
-                 (rr(il,i)+delt*fr(il,i).gt.ridicule)) then
+                 (rr(il,i)+delt*fr(il,i).gt.ridicule)) THEN
            CALL iso_verif_O18_aberrant((xt(iso_HDO,il,i) &
               +delt*fxt(iso_HDO,il,i))/(rr(il,i)+delt*fr(il,i)),(xt(iso_O18,il,i) &
               +delt*fxt(iso_O18,il,i))/(rr(il,i)+delt*fr(il,i)), &
               'cv3_yield 3384b, flux masse')
-          endif !if (iso_HDO.gt.0) then
+          endif !if (iso_HDO.gt.0) THEN
 #ifdef ISOTRAC
         CALL iso_verif_traceur_justmass(fxt(1,il,1),'cv3_routine 3626')
@@ -6091,12 +6082,12 @@
         enddo
         if (iso_verif_tracpos_choix_nostop(xtnew,'cv3_yield 3727',1e-5) &
-                 .eq.1) then
-              write(*,*) 'il,i=',il,i   
-              write(*,*) 'fxt(:,il,i)=',fxt(:,il,i)
-              write(*,*) 'amp1(il),ad(il),fac=', &
+                 .eq.1) THEN
+              WRITE(*,*) 'il,i=',il,i
+              WRITE(*,*) 'fxt(:,il,i)=',fxt(:,il,i)
+              WRITE(*,*) 'amp1(il),ad(il),fac=', &
                     amp1(il),ad(il),0.01*grav*dpinv
-              write(*,*) 'xt(:,il,i+1)=' ,xt(:,il,i+1)
-              write(*,*) 'xt(:,il,i)=' ,xt(:,il,i) 
-              write(*,*) 'xt(:,il,i-1)=' ,xt(:,il,i-1)
+              WRITE(*,*) 'xt(:,il,i+1)=' ,xt(:,il,i+1)
+              WRITE(*,*) 'xt(:,il,i)=' ,xt(:,il,i)
+              WRITE(*,*) 'xt(:,il,i-1)=' ,xt(:,il,i-1)
 !              stop
         endif
@@ -6115,8 +6106,8 @@
 !AC!      do k=1,ntra
 !AC!       do il=1,ncum
-!AC!        if (i.le.inb(il) .and. iflag(il) .le. 1) then
+!AC!        if (i.le.inb(il) .and. iflag(il) .le. 1) THEN
 !AC!         dpinv=1.0/(ph(il,i)-ph(il,i+1))
 !AC!         cpinv=1.0/cpn(il,i)
-!AC!         if (cvflag_grav) then
+!AC!         if (cvflag_grav) THEN
 !AC!           ftra(il,i,k)=ftra(il,i,k)+0.01*grav*dpinv
 !AC!     :         *(amp1(il)*(tra(il,i+1,k)-tra(il,i,k))
@@ -6156,10 +6147,10 @@
         ! ce surplus a la meme compo que le elij, sans fractionnement.
         ! d'ou le nouveau traitement ci-dessous.
-      if (elij(il,k,i).gt.0.0) then
+      if (elij(il,k,i).gt.0.0) THEN
         do ixt = 1, ntraciso
           xtawat(ixt,il)=awat(il)*(xtelij(ixt,il,k,i)/elij(il,k,i))
 !          xtawat(ixt)=amax1(xtawat(ixt),0.0) ! pas necessaire
         enddo !do ixt = 1, ntraciso
-      else !if (elij(il,k,i).gt.0.0) then
+      else !if (elij(il,k,i).gt.0.0) THEN
           ! normalement, si elij(il,k,i)<=0, alors awat=0
           ! on le verifie. Si c'est vrai -> xtawat=0 aussi
@@ -6170,12 +6161,11 @@
           xtawat(ixt,il)=0.0
         enddo !do ixt = 1, ntraciso        
-      endif !if (elij(il,k,i).gt.0.0) then
-
+      endif !if (elij(il,k,i).gt.0.0) THEN
       ! cam verif
 #ifdef ISOVERIF
-          if (iso_eau.gt.0) then
+          if (iso_eau.gt.0) THEN
               CALL iso_verif_egalite_choix(xtawat(iso_eau,il), &
                  awat(il),'cv3_routines 3301',errmax,errmaxrel)
-          endif !if (iso_eau.gt.0) then
+          endif !if (iso_eau.gt.0) THEN
 #ifdef ISOTRAC
         CALL iso_verif_traceur_justmass(xtawat(1,il),'cv3_routine 3729')
@@ -6226,24 +6216,24 @@
 #endif  
 #ifdef ISOVERIF
-        if (iso_eau.gt.0) then
+        if (iso_eau.gt.0) THEN
               CALL iso_verif_egalite_choix(fxt(iso_eau,il,i), &
                  fr(il,i),'cv3_routines 3325',errmax,errmaxrel)
-        endif !if (iso_eau.gt.0) then
+        endif !if (iso_eau.gt.0) THEN
         if ((iso_HDO.gt.0).and. &
-                 (rr(il,i)+delt*fr(il,i).gt.ridicule)) then
+                 (rr(il,i)+delt*fr(il,i).gt.ridicule)) THEN
         if (iso_verif_aberrant_nostop((xt(iso_HDO,il,i) &
                  +delt*fxt(iso_HDO,il,i)) &
                  /(rr(il,i)+delt*fr(il,i)),'cv3_yield 3396a, dtr mels') &
-                 .eq.1) then
-           write(*,*) 'rr,delt,fr=',rr(il,i),delt,fr(il,i)
-           write(*,*) 'qent,awat=',qent(il,k,i),awat(il)
-           write(*,*) 'deltaDfr=',deltaD(fxt(iso_hdo,il,i)/fr(il,i))
-           write(*,*) 'deltaDrr=',deltaD(xt(iso_hdo,il,i)/rr(il,i))
-           write(*,*) 'deltaDqent=',deltaD(xtent(iso_hdo,il,k,i) &
+                 .eq.1) THEN
+           WRITE(*,*) 'rr,delt,fr=',rr(il,i),delt,fr(il,i)
+           WRITE(*,*) 'qent,awat=',qent(il,k,i),awat(il)
+           WRITE(*,*) 'deltaDfr=',deltaD(fxt(iso_hdo,il,i)/fr(il,i))
+           WRITE(*,*) 'deltaDrr=',deltaD(xt(iso_hdo,il,i)/rr(il,i))
+           WRITE(*,*) 'deltaDqent=',deltaD(xtent(iso_hdo,il,k,i) &
                         /qent(il,k,i))
-           write(*,*) 'deltaDawat=',deltaD(xtawat(iso_hdo,il)/awat(il))           
+           WRITE(*,*) 'deltaDawat=',deltaD(xtawat(iso_hdo,il)/awat(il))
 !           stop
         endif
-        endif !if (iso_HDO.gt.0) then
+        endif !if (iso_HDO.gt.0) THEN
 #ifdef ISOTRAC
         CALL iso_verif_traceur_justmass(fxt(1,il,i),'cv3_routine 3784')
@@ -6252,6 +6242,6 @@
         enddo
         if (iso_verif_tracpos_choix_nostop(xtnew,'cv3_yield 3905',1e-5) &
-                 .eq.1) then
-              write(*,*) 'il,i=',il,i  
+                 .eq.1) THEN
+              WRITE(*,*) 'il,i=',il,i
          endif
 !        CALL iso_verif_tracpos_choix(xtnew,'cv3_yield 3905',1e-5)
@@ -6274,8 +6264,8 @@
 !AC!       do k=1,i-1
 !AC!        do il=1,ncum
-!AC!         if (i.le.inb(il) .and. iflag(il) .le. 1) then
+!AC!         if (i.le.inb(il) .and. iflag(il) .le. 1) THEN
 !AC!          dpinv=1.0/(ph(il,i)-ph(il,i+1))
 !AC!          cpinv=1.0/cpn(il,i)
-!AC!          if (cvflag_grav) then
+!AC!          if (cvflag_grav) THEN
 !AC!           ftra(il,i,j)=ftra(il,i,j)+0.01*grav*dpinv*ment(il,k,i)
 !AC!     :        *(traent(il,k,i,j)-tra(il,i,j))
@@ -6341,29 +6331,29 @@
 #endif
 #ifdef ISOVERIF
-          if (iso_eau.gt.0) then
+          if (iso_eau.gt.0) THEN
               CALL iso_verif_egalite_choix(fxt(iso_eau,il,i), &
                  fr(il,i),'cv3_routines 3433',errmax,errmaxrel)
-          endif !if (iso_eau.gt.0) then
-!          if ((iso_HDO.gt.0).and.(delt*fr(il,i).gt.ridicule)) then
+          endif !if (iso_eau.gt.0) THEN
+!          if ((iso_HDO.gt.0).and.(delt*fr(il,i).gt.ridicule)) THEN
 !              if (iso_verif_aberrant_nostop( &
 !     &           fxt(iso_HDO,il,i)/fr(il,i), &
-!     &           'cv3_yield 3597').eq.1) then
-!                write(*,*) 'i,icb(il),inb(il)=',i,icb(il),inb(il)
+!     &           'cv3_yield 3597').eq.1) THEN
+!                WRITE(*,*) 'i,icb(il),inb(il)=',i,icb(il),inb(il)
 !                stop
 !               endif
-!          endif !if (iso_HDO.gt.0) then
+!          endif !if (iso_HDO.gt.0) THEN
           if ((iso_HDO.gt.0).and. &
-                 (rr(il,i)+delt*fr(il,i).gt.ridicule)) then
+                 (rr(il,i)+delt*fr(il,i).gt.ridicule)) THEN
            CALL iso_verif_aberrant((xt(iso_HDO,il,i) &
                  +delt*fxt(iso_HDO,il,i)) &
                  /(rr(il,i)+delt*fr(il,i)),'cv3_yield 3605b, dtr mels')
-          endif !if (iso_HDO.gt.0) then        
+          endif !if (iso_HDO.gt.0) THEN
           if ((iso_HDO.gt.0).and.(iso_O18.gt.0).and. &
-                 (rr(il,i)+delt*fr(il,i).gt.ridicule)) then
+                 (rr(il,i)+delt*fr(il,i).gt.ridicule)) THEN
            CALL iso_verif_O18_aberrant((xt(iso_HDO,il,i) &
               +delt*fxt(iso_HDO,il,i))/(rr(il,i)+delt*fr(il,i)),(xt(iso_O18,il,i) &
               +delt*fxt(iso_O18,il,i))/(rr(il,i)+delt*fr(il,i)), &
               'cv3_yield 6415c, dtr mels')
-          endif !if (iso_HDO.gt.0) then
+          endif !if (iso_HDO.gt.0) THEN
 #ifdef ISOTRAC
         CALL iso_verif_traceur_justmass(fxt(1,il,i),'cv3_routine 3972')
@@ -6372,6 +6362,6 @@
         enddo
         if (iso_verif_tracpos_choix_nostop(xtnew,'cv3_yield 4091',1e-5) &
-                 .eq.1) then
-              write(*,*) 'il,i=',il,i  
+                 .eq.1) THEN
+              WRITE(*,*) 'il,i=',il,i
          endif
 !        CALL iso_verif_tracpos_choix(xtnew,'cv3_yield 4091',1e-5)
@@ -6390,8 +6380,8 @@
 !AC!        do il=1,ncum
 !AC!         if (i.le.inb(il) .and. k.le.inb(il)
-!AC!     $                .and. iflag(il) .le. 1) then
+!AC!     $                .and. iflag(il) .le. 1) THEN
 !AC!          dpinv=1.0/(ph(il,i)-ph(il,i+1))
 !AC!          cpinv=1.0/cpn(il,i)
-!AC!          if (cvflag_grav) then
+!AC!          if (cvflag_grav) THEN
 !AC!           ftra(il,i,j)=ftra(il,i,j)+0.01*grav*dpinv*ment(il,k,i)
 !AC!     :         *(traent(il,k,i,j)-tra(il,i,j))
@@ -6458,9 +6448,9 @@
 !AC!      do j=1,ntra
 !AC!       do il=1,ncum
-!AC!        if (i.le.inb(il) .and. iflag(il) .le. 1) then
+!AC!        if (i.le.inb(il) .and. iflag(il) .le. 1) THEN
 !AC!         dpinv=1.0/(ph(il,i)-ph(il,i+1))
 !AC!         cpinv=1.0/cpn(il,i)
 !AC!
-!AC!         if (cvflag_grav) then
+!AC!         if (cvflag_grav) THEN
 !AC!          ftra(il,i,j)=ftra(il,i,j)+0.01*grav*dpinv
 !AC!     :     *(mp(il,i+1)*(trap(il,i+1,j)-tra(il,i,j))
@@ -6534,37 +6524,37 @@
 #ifdef ISOVERIF
         do i=inb(il)-1,inb(il)
-        if (iso_eau.gt.0) then
+        if (iso_eau.gt.0) THEN
               CALL iso_verif_egalite(fxt(iso_eau,il,i), &
                  fr(il,i),'cv3_routines 5308')
-        endif !if (iso_eau.gt.0) then
+        endif !if (iso_eau.gt.0) THEN
         if ((iso_HDO.gt.0).and. &
-                 (rr(il,i)+delt*fr(il,i).gt.ridicule)) then
+                 (rr(il,i)+delt*fr(il,i).gt.ridicule)) THEN
            CALL iso_verif_aberrant((xt(iso_HDO,il,i) &
                  +delt*fxt(iso_HDO,il,i)) &
                  /(rr(il,i)+delt*fr(il,i)),'cv3_yield 6555')
-        endif !if (iso_HDO.gt.0) then                 
+        endif !if (iso_HDO.gt.0) THEN
           if ((iso_HDO.gt.0).and.(iso_O18.gt.0).and. &
-                 (rr(il,i)+delt*fr(il,i).gt.ridicule)) then
+                 (rr(il,i)+delt*fr(il,i).gt.ridicule)) THEN
            if (iso_verif_O18_aberrant_nostop((xt(iso_HDO,il,i) &
               +delt*fxt(iso_HDO,il,i))/(rr(il,i)+delt*fr(il,i)),(xt(iso_O18,il,i) &
               +delt*fxt(iso_O18,il,i))/(rr(il,i)+delt*fr(il,i)), &
-              'cv3_yield 6555b').eq.1) then
-                write(*,*) 'il,i=',il,i
-                write(*,*) 'deltaOavant=',deltaO(xt(iso_O18,il,i)/rr(il,i))
-                write(*,*) 'deltaOapres=',deltaO((xt(iso_O18,il,i) &
+              'cv3_yield 6555b').eq.1) THEN
+                WRITE(*,*) 'il,i=',il,i
+                WRITE(*,*) 'deltaOavant=',deltaO(xt(iso_O18,il,i)/rr(il,i))
+                WRITE(*,*) 'deltaOapres=',deltaO((xt(iso_O18,il,i) &
                         +delt*fxt(iso_O18,il,i))/(rr(il,i)+delt*fr(il,i)))
-                write(*,*) 'rr,fq*delt=',rr(il,i),delt*fr(il,i)
-                write(*,*) 'deltaOfq=',deltaO(fxt(iso_O18,il,i)/fr(il,i))
-                write(*,*) 'xt,fxt*delt=',xt(iso_O18,il,i),delt*fxt(iso_O18,il,i)
-                write(*,*) 'qent(il,inb(il),inb(il)),rr(il,inb(il))=', &
+                WRITE(*,*) 'rr,fq*delt=',rr(il,i),delt*fr(il,i)
+                WRITE(*,*) 'deltaOfq=',deltaO(fxt(iso_O18,il,i)/fr(il,i))
+                WRITE(*,*) 'xt,fxt*delt=',xt(iso_O18,il,i),delt*fxt(iso_O18,il,i)
+                WRITE(*,*) 'qent(il,inb(il),inb(il)),rr(il,inb(il))=', &
                          qent(il,inb(il),inb(il)),rr(il,inb(il))
-                write(*,*) 'xtent(il,inb(il),inb(il)),xt(il,inb(il))=', &
+                WRITE(*,*) 'xtent(il,inb(il),inb(il)),xt(il,inb(il))=', &
                          xtent(iso_O18,il,inb(il),inb(il)),xt(iso_O18,il,inb(il))
-                write(*,*) 'deltaOent=',deltaO(xtent(iso_O18,il,inb(il),inb(il))/qent(il,inb(il),inb(il)))
-                write(*,*) 'bx,xtbx(iso_O18)=',bx,xtbx(iso_O18)
+                WRITE(*,*) 'deltaOent=',deltaO(xtent(iso_O18,il,inb(il),inb(il))/qent(il,inb(il),inb(il)))
+                WRITE(*,*) 'bx,xtbx(iso_O18)=',bx,xtbx(iso_O18)
                 stop
 
            endif                
-         endif !if (iso_HDO.gt.0) then
+         endif !if (iso_HDO.gt.0) THEN
         enddo
 #endif        
@@ -6596,5 +6586,5 @@
 !AC!       do il=1,ncum
 !AC!        IF (iflag(il) .le. 1) THEN
-!AC!	IF (cvflag_grav) then
+!AC!	IF (cvflag_grav) THEN
 !AC!        ex=0.01*grav*ment(il,inb(il),inb(il))
 !AC!     :      *(traent(il,inb(il),inb(il),j)-tra(il,inb(il),j))
@@ -6706,5 +6696,5 @@
 #ifdef ISO
 #ifdef ISOVERIF
-        if (iso_eau.gt.0) then
+        if (iso_eau.gt.0) THEN
               CALL iso_verif_egalite(fxt(iso_eau,il,i), &
                  fr(il,i),'cv3_routines 5415')
@@ -6714,11 +6704,11 @@
                  bsum(il),'cv3_routines 5419')
               if (iso_verif_egalite_nostop(fxtsum(iso_eau,il), &
-                 fsum(il),'cv3_routines 5421').eq.1) then
-                write(*,*) 'i,il=',i,il
-                write(*,*) 'fxtd(iso_eau,il,:)=',fxtd(iso_eau,il,:)
-                write(*,*) 'fqd(il,:)=',fqd(il,:)
+                 fsum(il),'cv3_routines 5421').eq.1) THEN
+                WRITE(*,*) 'i,il=',i,il
+                WRITE(*,*) 'fxtd(iso_eau,il,:)=',fxtd(iso_eau,il,:)
+                WRITE(*,*) 'fqd(il,:)=',fqd(il,:)
                 stop
               endif
-        endif !if (iso_eau.gt.0) then
+        endif !if (iso_eau.gt.0) THEN
 #endif              
 #endif  
@@ -6745,23 +6735,23 @@
            CALL iso_verif_noNaN(fxtd(ixt,il,i),'cv3_yield 5661')
         enddo
-        if (iso_eau.gt.0) then
+        if (iso_eau.gt.0) THEN
               CALL iso_verif_egalite(fxt(iso_eau,il,i), &
                  fr(il,i),'cv3_routines 5437')
               CALL iso_verif_egalite_choix(fxtd(iso_eau,il,i), &
                  fqd(il,i),'cv3_routines 5439',errmax*0.1,errmaxrel)
-        endif !if (iso_eau.gt.0) then
+        endif !if (iso_eau.gt.0) THEN
         if ((iso_HDO.gt.0).and. &
-                 (rr(il,i)+delt*fr(il,i).gt.ridicule)) then
+                 (rr(il,i)+delt*fr(il,i).gt.ridicule)) THEN
            CALL iso_verif_aberrant((xt(iso_HDO,il,i) &
                  +delt*fxt(iso_HDO,il,i)) &
                  /(rr(il,i)+delt*fr(il,i)),'cv3_yield 6744')
-        endif !if (iso_HDO.gt.0) then               
+        endif !if (iso_HDO.gt.0) THEN
           if ((iso_HDO.gt.0).and.(iso_O18.gt.0).and. &
-                 (rr(il,i)+delt*fr(il,i).gt.ridicule)) then
+                 (rr(il,i)+delt*fr(il,i).gt.ridicule)) THEN
            CALL iso_verif_O18_aberrant((xt(iso_HDO,il,i) &
               +delt*fxt(iso_HDO,il,i))/(rr(il,i)+delt*fr(il,i)),(xt(iso_O18,il,i) &
               +delt*fxt(iso_O18,il,i))/(rr(il,i)+delt*fr(il,i)), &
               'cv3_yield 6744b')
-          endif !if (iso_HDO.gt.0) then  
+          endif !if (iso_HDO.gt.0) THEN
 #endif         
 #endif
@@ -6843,34 +6833,34 @@
            CALL iso_verif_noNaN(fxtd(ixt,il,i),'cv3_yield 5731b')
         enddo
-        if (iso_eau.gt.0) then
+        if (iso_eau.gt.0) THEN
               CALL iso_verif_egalite(fxt(iso_eau,il,i), &
                  fr(il,i),'cv3_routines 5502')
-        endif !if (iso_eau.gt.0) then
+        endif !if (iso_eau.gt.0) THEN
         if ((iso_HDO.gt.0).and. &
-                 (rr(il,i)+delt*fr(il,i).gt.ridicule)) then
+                 (rr(il,i)+delt*fr(il,i).gt.ridicule)) THEN
            CALL iso_verif_aberrant((xt(iso_HDO,il,i) &
                  +delt*fxt(iso_HDO,il,i)) &
                  /(rr(il,i)+delt*fr(il,i)),'cv3_yield 6835a')
-        endif !if (iso_HDO.gt.0) then        
+        endif !if (iso_HDO.gt.0) THEN
           if ((iso_HDO.gt.0).and.(iso_O18.gt.0).and. &
-                 (rr(il,i)+delt*fr(il,i).gt.ridicule)) then
+                 (rr(il,i)+delt*fr(il,i).gt.ridicule)) THEN
            if (iso_verif_O18_aberrant_nostop((xt(iso_HDO,il,i) &
               +delt*fxt(iso_HDO,il,i))/(rr(il,i)+delt*fr(il,i)),(xt(iso_O18,il,i) &
               +delt*fxt(iso_O18,il,i))/(rr(il,i)+delt*fr(il,i)), &
-              'cv3_yield 6835b').eq.1) then
-                write(*,*) 'il,i=',il,i
-                write(*,*) 'deltaOavant=',deltaO(xt(iso_O18,il,i)/rr(il,i))
-                write(*,*) 'deltaOapres=',deltaO((xt(iso_O18,il,i) &
+              'cv3_yield 6835b').eq.1) THEN
+                WRITE(*,*) 'il,i=',il,i
+                WRITE(*,*) 'deltaOavant=',deltaO(xt(iso_O18,il,i)/rr(il,i))
+                WRITE(*,*) 'deltaOapres=',deltaO((xt(iso_O18,il,i) &
                         +delt*fxt(iso_O18,il,i))/(rr(il,i)+delt*fr(il,i)))
-                write(*,*) 'rr,fq*delt=',rr(il,i),delt*fr(il,i)
-                write(*,*) 'alpha_qpos=',alpha_qpos(il)
-                write(*,*) 'fq*delt avantqpos=',delt*fr(il,i)*alpha_qpos(il)
-                write(*,*) 'deltaO avantqpos=',deltaO((xt(iso_O18,il,i) &
+                WRITE(*,*) 'rr,fq*delt=',rr(il,i),delt*fr(il,i)
+                WRITE(*,*) 'alpha_qpos=',alpha_qpos(il)
+                WRITE(*,*) 'fq*delt avantqpos=',delt*fr(il,i)*alpha_qpos(il)
+                WRITE(*,*) 'deltaO avantqpos=',deltaO((xt(iso_O18,il,i) &
                         +delt*fxt(iso_O18,il,i)*alpha_qpos(il))/(rr(il,i)+delt*fr(il,i)*alpha_qpos(il)))
-                write(*,*) 'deltaOfq=',deltaO(fxt(iso_O18,il,i)/fr(il,i))
-                write(*,*) 'xt,fxt*delt=',xt(iso_O18,il,i),delt*fxt(iso_O18,il,i)
+                WRITE(*,*) 'deltaOfq=',deltaO(fxt(iso_O18,il,i)/fr(il,i))
+                WRITE(*,*) 'xt,fxt*delt=',xt(iso_O18,il,i),delt*fxt(iso_O18,il,i)
                 stop
            endif                
-          endif !if (iso_HDO.gt.0) then 
+          endif !if (iso_HDO.gt.0) THEN
 #endif    
 #ifdef DIAGISO
@@ -7040,5 +7030,5 @@
     DO k = i, nl
       DO il = 1, ncum
-! test         if (i.ge.icb(il).and.i.le.inb(il).and.k.le.inb(il)) then
+! test         if (i.ge.icb(il).and.i.le.inb(il).and.k.le.inb(il)) THEN
         IF (i<=inb(il) .AND. k<=inb(il)) THEN
           upwd(il, i) = upwd(il, i) + up1(il, k, i)
@@ -7253,5 +7243,5 @@
         do i=1,nl  
           do il=1,ncum
-            if (f_detrainement(il,i).gt.0.0) then
+            if (f_detrainement(il,i).gt.0.0) THEN
               q_detrainement(il,i)=q_detrainement(il,i) &
                   /f_detrainement(il,i)
@@ -7260,10 +7250,10 @@
                   /f_detrainement(il,i)
               enddo !do ixt=1,niso
-            else !if (f_detrainement(il,1).gt.0.0) then
+            else !if (f_detrainement(il,1).gt.0.0) THEN
               q_detrainement(il,i)=0.0
               do ixt=1,niso
                 xt_detrainement(ixt,il,i)=0.0
               enddo !do ixt=1,niso
-            endif !if (f_detrainement(il,1).gt.0.0) then
+            endif !if (f_detrainement(il,1).gt.0.0) THEN
           enddo !do il=1,ncum
         enddo !do i=1,nl  
@@ -7324,5 +7314,5 @@
       DO i = 1, ncum
         IF (k>=icb(i) .AND. k<=inb(i) .AND. & 
-!!jyg              j.ge.k.and.j.le.inb(i)) then
+!!jyg              j.ge.k.and.j.le.inb(i)) THEN
 !!jyg             epm(i,j,k)=1.-(1.-ep(i,j))*clw(i,j)/elij(i,k,j)
             j>k .AND. j<=inb(i)) THEN
@@ -7637,11 +7627,10 @@
       real cape(nloc)
         
-        if (coef_epmax_cape>1e-12) then
-
+        if (coef_epmax_cape>1e-12) THEN
         ! il faut calculer la cape: on fait un calcule simple car tant qu'on ne
         ! connait pas ep, on ne connait pas les melanges, ddfts etc... qui sont
         ! necessaires au calcul de la cape dans la nouvelle physique
         
-!        write(*,*) 'cv3_routines check 4303'
+!        WRITE(*,*) 'cv3_routines check 4303'
         do i=1,ncum
         do k=1,nd
@@ -7653,16 +7642,16 @@
         enddo !do i=1,ncum
 
-!        write(*,*) 'cv3_routines check 4311'
-!        write(*,*) 'nl=',nl
+!        WRITE(*,*) 'cv3_routines check 4311'
+!        WRITE(*,*) 'nl=',nl
         CALL cv3_closure(nloc, ncum, nd, icb, inb, & ! na->nd
           pbase, p, ph, tv, buoy, &
           sig_loc, w0_loc, cape, m_loc,iflag_loc)
 
-!        write(*,*) 'cv3_routines check 4316'
-!        write(*,*) 'ep(1,:)=',ep(1,:)
+!        WRITE(*,*) 'cv3_routines check 4316'
+!        WRITE(*,*) 'ep(1,:)=',ep(1,:)
         do i=1,ncum
            epmax_diag(i)=epmax-coef_epmax_cape*sqrt(cape(i))
            epmax_diag(i)=amax1(epmax_diag(i),0.0)
-!           write(*,*) 'i,icb,inb,cape,epmax_diag=', &
+!           WRITE(*,*) 'i,icb,inb,cape,epmax_diag=', &
 !                i,icb(i),inb(i),cape(i),epmax_diag(i)
            do k=1,nl
@@ -7672,7 +7661,7 @@
            enddo
         enddo
- !       write(*,*) 'ep(1,:)=',ep(1,:)
-
-      !write(*,*) 'cv3_routines check 4326'
+ !       WRITE(*,*) 'ep(1,:)=',ep(1,:)
+
+      !WRITE(*,*) 'cv3_routines check 4326'
 ! On recalcule hp:
 !      do k=1,nl
@@ -7691,5 +7680,5 @@
       do k=minorig+1,nl
        do i=1,ncum
-        if((k>=icb(i)).and.(k<=inb(i)))then
+        if((k>=icb(i)).and.(k<=inb(i)))THEN
           hp(i, k) = hnk(i) + (lv(i,k)+(cpd-cpv)*t(i,k)+frac(i,k)*lf(i,k))* &
                               ep(i, k)*clw(i, k)
@@ -7708,30 +7697,30 @@
 
   ENDIF !IF (cvflag_ice) THEN     
-      !write(*,*) 'cv3_routines check 4345'
+      !WRITE(*,*) 'cv3_routines check 4345'
 !      do i=1,ncum  
 !       do k=1,nl
 !        if ((abs(hp_bak(i,k)-hp(i,k))/hp_bak(i,k).gt.1e-1).or. &
 !            ((abs(hp_bak(i,k)-hp(i,k))/hp_bak(i,k).gt.1e-4).and. &
-!            (ep(i,k)-ep_bak(i,k).lt.1e-4))) then
-!           write(*,*) 'i,k=',i,k
-!           write(*,*) 'coef_epmax_cape=',coef_epmax_cape
-!           write(*,*) 'epmax_diag(i)=',epmax_diag(i)
-!           write(*,*) 'ep(i,k)=',ep(i,k)
-!           write(*,*) 'ep_bak(i,k)=',ep_bak(i,k)
-!           write(*,*) 'hp(i,k)=',hp(i,k)
-!           write(*,*) 'hp_bak(i,k)=',hp_bak(i,k)
-!           write(*,*) 'h(i,k)=',h(i,k)
-!           write(*,*) 'nk(i)=',nk(i)
-!           write(*,*) 'h(i,nk(i))=',h(i,nk(i))
-!           write(*,*) 'lv(i,k)=',lv(i,k)
-!           write(*,*) 't(i,k)=',t(i,k)
-!           write(*,*) 'clw(i,k)=',clw(i,k)
-!           write(*,*) 'cpd,cpv=',cpd,cpv
+!            (ep(i,k)-ep_bak(i,k).lt.1e-4))) THEN
+!           WRITE(*,*) 'i,k=',i,k
+!           WRITE(*,*) 'coef_epmax_cape=',coef_epmax_cape
+!           WRITE(*,*) 'epmax_diag(i)=',epmax_diag(i)
+!           WRITE(*,*) 'ep(i,k)=',ep(i,k)
+!           WRITE(*,*) 'ep_bak(i,k)=',ep_bak(i,k)
+!           WRITE(*,*) 'hp(i,k)=',hp(i,k)
+!           WRITE(*,*) 'hp_bak(i,k)=',hp_bak(i,k)
+!           WRITE(*,*) 'h(i,k)=',h(i,k)
+!           WRITE(*,*) 'nk(i)=',nk(i)
+!           WRITE(*,*) 'h(i,nk(i))=',h(i,nk(i))
+!           WRITE(*,*) 'lv(i,k)=',lv(i,k)
+!           WRITE(*,*) 't(i,k)=',t(i,k)
+!           WRITE(*,*) 'clw(i,k)=',clw(i,k)
+!           WRITE(*,*) 'cpd,cpv=',cpd,cpv
 !           stop
 !        endif
 !       enddo !do k=1,nl
 !      enddo !do i=1,ncum  
-      endif !if (coef_epmax_cape.gt.1e-12) then
-      !write(*,*) 'cv3_routines check 4367'
+      endif !if (coef_epmax_cape.gt.1e-12) THEN
+      !WRITE(*,*) 'cv3_routines check 4367'
 
 
Index: /LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv3a_compress.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv3a_compress.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv3a_compress.F90	(revision 5116)
@@ -123,6 +123,6 @@
 
 #ifdef ISOVERIF
-        write(*,*) 'compress=',   compress
-        write(*,*) 'nl=',nl
+        WRITE(*,*) 'compress=',   compress
+        WRITE(*,*) 'nl=',nl
 #endif
 !jyg<
@@ -181,5 +181,5 @@
   ! AC!       nn=0
   ! AC!      do 101 i=1,len
-  ! AC!      if(iflag1(i).eq.0)then
+  ! AC!      IF(iflag1(i).eq.0)THEN
   ! AC!       nn=nn+1
   ! AC!       tra(nn,k,j)=tra1(i,k,j)
Index: /LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv3a_uncompress.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv3a_uncompress.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv3a_uncompress.F90	(revision 5116)
@@ -209,5 +209,5 @@
 !>jyg
 #ifdef ISOVERIF
-        write(*,*) 'cv3a_uncompress 151: entrée dans cv3a_uncompress'
+        WRITE(*,*) 'cv3a_uncompress 151: entrée dans cv3a_uncompress'
 #endif
     DO i = 1, ncum
